## espresso 5.1%2Bdfsg

=== Makefile ===
sinclude make.sys

default :
	@echo 'to install, type at the shell prompt:'
	@echo '  ./configure'
	@echo '  make target'
	@echo 'where target is one of the following:'
	@echo '  pw           basic code for scf, structure optimization, MD'
	@echo '  ph           phonon code, Gamma-only version and third-order derivatives'
	@echo '  pwcond       ballistic conductance'
	@echo '  neb          code for Nudged Elastic Band method'
	@echo '  pp           postprocessing programs'
	@echo '  cp           CP code: CP MD with ultrasoft pseudopotentials'
	@echo '  ld1          utilities for pseudopotential generation'
	@echo '  upf          utilities for pseudopotential conversion'
	@echo '  tddfpt       time dependent dft code'
	@echo '  gui          Graphical User Interface '
	@echo '  gwl          GW with Lanczos chains '
	@echo '  xspectra     X-ray core-hole spectroscopy calculations '
	@echo '  pwall        same as "make pw ph pp pwcond neb"'
	@echo '  all          same as "make pwall cp ld1 upf tddfpt gwl"'
	@echo '  gipaw        NMR and EPR spectra'
	@echo '  w90          Maximally localised Wannier Functions'
	@echo '  want         Quantum Transport with Wannier functions'
	@echo '  yambo        electronic excitations with plane waves'
	@echo '  plumed       Metadynamics plugin for pw or cp'
	@echo '  epw          Electron-Phonon Coupling with wannier functions, EPW package' 
	@echo '  gpu          Download the latest QE-GPU package'
	@echo '  couple       Library interface for coupling to external codes'
	@echo '  clean        remove executables and objects'
	@echo '  veryclean    revert distribution to the original status'
	@echo '  tar          create a tarball of the source tree'
	@if test -d GUI/; then \
	 echo '  tar-gui      create a standalone PWgui tarball from the GUI sources'; fi
	@echo '  doc          build documentation'
	@echo '  links        create links to all executables in bin/'

###########################################################
# Main targets
###########################################################
# The syntax "( cd PW ; $(MAKE) TLDEPS= all || exit 1)" below
# guarantees that error code 1 is returned in case of error and make stops
# If "|| exit 1" is not present, the error code from make in subdirectories
# is not returned and make goes on even if compilation has failed
#
pw : bindir mods liblapack libblas libs libiotk 
	if test -d PW ; then \
	( cd PW ; $(MAKE) TLDEPS= all || exit 1) ; fi

cp : bindir mods liblapack libblas libs libiotk
	if test -d CPV ; then \
	( cd CPV ; $(MAKE) TLDEPS= all || exit 1) ; fi

ph : bindir mods libs pw
	( cd install ; $(MAKE) -f plugins_makefile phonon || exit 1 )

neb : bindir mods libs pw
	( cd install ; $(MAKE) -f plugins_makefile $@ || exit 1 )

tddfpt : bindir mods libs pw ph
	( cd install ; $(MAKE) -f plugins_makefile $@ || exit 1 )

pp : bindir mods libs pw
	if test -d PP ; then \
	( cd PP ; $(MAKE) TLDEPS= all || exit 1 ) ; fi

pwcond : bindir mods libs pw pp
	( cd install ; $(MAKE) -f plugins_makefile $@ || exit 1 )

acfdt : bindir mods libs pw ph
	if test -d ACFDT ; then \
	( cd ACFDT ; $(MAKE) TLDEPS= all || exit 1 ) ; fi

gwl : ph
	if test -d GWW ; then \
	( cd GWW ; $(MAKE) TLDEPS= all || exit 1 ) ; fi

gipaw : pw
	( cd install ; $(MAKE) -f plugins_makefile $@ || exit 1 )

ld1 : bindir liblapack libblas mods libs
	( cd install ; $(MAKE) -f plugins_makefile $@ || exit 1 )

upf : mods libs liblapack libblas
	if test -d upftools ; then \
	( cd upftools ; $(MAKE) TLDEPS= all || exit 1 ) ; fi

pw_export : libiotk bindir mods libs pw
	if test -d PP ; then \
	( cd PP ; $(MAKE) TLDEPS= pw_export.x || exit 1 ) ; fi

xspectra : bindir mods libs pw
	( cd install ; $(MAKE) -f plugins_makefile $@ || exit 1 )

couple : pw cp
	if test -d COUPLE ; then \
	( cd COUPLE ; $(MAKE) TLDEPS= all || exit 1 ) ; fi

gui : touch-dummy
	( cd install ; $(MAKE) -f plugins_makefile $@ || exit 1 )

pwall : pw neb ph pp pwcond acfdt
all   : pwall cp ld1 upf tddfpt gwl xspectra

###########################################################
# Auxiliary targets used by main targets:
# compile modules, libraries, directory for binaries, etc
###########################################################
mods : libiotk libelpa
	( cd Modules ; $(MAKE) TLDEPS= all || exit 1 )
libs : mods
	( cd clib ; $(MAKE) TLDEPS= all || exit 1 )
	( cd flib ; $(MAKE) TLDEPS= $(FLIB_TARGETS) || exit 1 )

bindir :
	test -d bin || mkdir bin

#############################################################
# Targets for external libraries
############################################################
libblas : touch-dummy
	cd install ; $(MAKE) -f extlibs_makefile $@

liblapack: touch-dummy
	cd install ; $(MAKE) -f extlibs_makefile $@

libelpa: touch-dummy
	cd install ; $(MAKE) -f extlibs_makefile $@

libiotk: touch-dummy
	cd install ; $(MAKE) -f extlibs_makefile $@

# In case of trouble with iotk and compilers, add
# FFLAGS="$(FFLAGS_NOOPT)" after $(MFLAGS)

#########################################################
# plugins
#########################################################

w90: bindir libblas liblapack
	( cd install ; $(MAKE) -f plugins_makefile $@ || exit 1 )

want : touch-dummy
	( cd install ; $(MAKE) -f plugins_makefile $@ || exit 1 )

yambo: touch-dummy
	( cd install ; $(MAKE) -f plugins_makefile $@ || exit 1 )

plumed: touch-dummy
	( cd install ; $(MAKE) -f plugins_makefile $@ || exit 1 )

epw: touch-dummy
	( cd install ; $(MAKE) -f plugins_makefile $@ || exit 1 )

gpu: touch-dummy
	( cd install ; $(MAKE) -f plugins_makefile $@ || exit 1 )

touch-dummy :
	$(dummy-variable)

#########################################################
# "make links" produces links to all executables in bin/
# while "make inst" INSTALLDIR=/some/place" links all
# available executables to /some/place/ (must exist and
# be writable), prepending "qe_" to all executables (e.g.:
# /some/place/qe_pw.x). This allows installation of QE
# into system directories with no danger of name conflicts
#########################################################
inst : 
	( for exe in */*/*.x */bin/* ; do \
	   file=`basename $$exe`; if test "$(INSTALLDIR)" != ""; then \
		if test ! -L $(PWD)/$$exe; then ln -fs $(PWD)/$$exe $(INSTALLDIR)/qe_$$file ; fi ; \
		fi ; \
	done )

links : bindir
	( cd bin/ ; \
	rm -f *.x ; \
	for exe in ../*/*/*.x ../*/bin/* ; do \
	    if test ! -L $$exe ; then ln -fs $$exe . ; fi \
	done \
	)


#########################################################
# Other targets: clean up
#########################################################

# remove object files and executables
clean : doc_clean
	touch make.sys 
	for dir in \
		CPV Modules PP PW \
		ACFDT COUPLE GWW XSpectra \
		clib flib pwtools upftools \
		dev-tools extlibs Environ \
	; do \
	    if test -d $$dir ; then \
		( cd $$dir ; \
		$(MAKE) TLDEPS= clean ) \
	    fi \
	done
	- @(cd install ; $(MAKE) -f plugins_makefile clean)
	- @(cd install ; $(MAKE) -f extlibs_makefile clean)
	- /bin/rm -rf bin/*.x tmp
	- cd PW/tests; /bin/rm -rf CRASH *.out *.out? ; cd -
	- cd CPV/tests; /bin/rm -rf CRASH *.out *.out? 

# remove configuration files too
distclean veryclean : clean
	- @(cd install ; $(MAKE) -f plugins_makefile veryclean)
	- @(cd install ; $(MAKE) -f extlibs_makefile veryclean)
	- rm -rf install/patch-plumed
	- cd install ; rm -f config.log configure.msg config.status \
	CPV/version.h ChangeLog* intel.pcl */intel.pcl
	- cd install ; rm -fr autom4te.cache
	- cd pseudo; ./clean_ps ; cd -
	- cd install; ./clean.sh ; cd -
	- cd include; ./clean.sh ; cd -
	- rm -f espresso.tar.gz
	- rm -rf make.sys

tar :
	@if test -f espresso.tar.gz ; then /bin/rm espresso.tar.gz ; fi
	# do not include unneeded stuff 
	find ./ -type f | grep -v -e /.svn/ -e'/\.' -e'\.o$$' \
             -e'\.mod$$' -e'\.a$$' -e'\.d$$' -e'\.i$$' -e'\.F90$$' -e'\.x$$' \
	     -e'~$$' -e'\./GUI' -e '\./tempdir' | xargs tar rvf espresso.tar
	gzip espresso.tar

#########################################################
# Tools for the developers
#########################################################
tar-gui :
	@if test -d GUI/PWgui ; then \
	    cd GUI/PWgui ; \
	    $(MAKE) TLDEPS= clean svninit pwgui-source; \
	    mv PWgui-*.tgz ../.. ; \
	else \
	    echo ; \
	    echo "  Sorry, tar-gui works only for svn sources !!!" ; \
	    echo ; \
	fi

# NOTICE about "make doc": in order to build the .html and .txt
# documentation in Doc, "tcl", "tcllib", "xsltproc" are needed;
# in order to build the .pdf files in Doc, "pdflatex" is needed;
# in order to build html files for user guide and developer manual,
# "latex2html" and "convert" (from Image-Magick) are needed.
doc : touch-dummy
	if test -d Doc ; then \
	( cd Doc ; $(MAKE) TLDEPS= all ) ; fi
	for dir in */Doc; do \
	( if test -f $$dir/Makefile ; then \
	( cd $$dir; $(MAKE) TLDEPS= all ) ; fi ) ;  done

doc_clean :
	if test -d Doc ; then \
	( cd Doc ; $(MAKE) TLDEPS= clean ) ; fi
	for dir in */Doc; do \
	( if test -f $$dir/Makefile ; then \
	( cd $$dir; $(MAKE) TLDEPS= clean ) ; fi ) ;  done

depend:
	@echo 'Checking dependencies...'
	- ( if test -x install/makedeps.sh ; then install/makedeps.sh ; fi)

=== Doc/Makefile ===
LATEX   = pdflatex
LATEX2HTML = latex2html

PDFS = constraints_HOWTO.pdf  developer_man.pdf  user_guide.pdf plumed_quick_ref.pdf brillouin_zones.pdf
AUXS = $(PDFS:.pdf=.aux)
LOGS = $(PDFS:.pdf=.log)
OUTS = $(PDFS:.pdf=.out)
TOCS = $(PDFS:.pdf=.toc)

all:  pdf html
pdf:  $(PDFS)
html: user_guide developer_man

$(PDFS): %.pdf: %.tex
	$(LATEX)  $<
	$(LATEX)  $<

clean:
	- rm -f $(PDFS) $(AUXS) $(LOGS) $(OUTS) $(TOCS) *~
	- rm -rf user_guide/ developer_man/
	- rm -f INPUT_*.html INPUT_*.txt INPUT_*.xml qe-input-ref.html

developer_man: developer_man.pdf
	rm -rf developer_man/
	latex2html \
                -t "Developer's Manual for Quantum-ESPRESSO" \
                -html_version 3.2,math \
                -toc_depth 3 -split 3 -toc_stars -show_section_numbers \
                -local_icons -image_type png \
                developer_man.tex
	cd developer_man; \
        for file in *.html; do \
                cp $$file /tmp/$$file; \
                cat /tmp/$$file | sed 's/HREF="http/NAME="http/g' | sed 's/mathend000#//g' - > $$file; \
                rm -f /tmp/$$file; \
        done
	@echo ""
	@echo "***"
	@echo "*** Developer's Manual created in developers_manual/developers_manual.html"
	@echo "***"
	@echo ""

user_guide: user_guide.pdf
	 rm -rf user_guide/
	 latex2html \
                -t "User's Guide for Quantum-ESPRESSO" \
                -html_version 3.2,math \
                -toc_depth 5 -split 5 -toc_stars -show_section_numbers \
                -local_icons -image_type png \
                user_guide.tex
	cd user_guide; \
        for file in *.html; do \
                cp $$file /tmp/$$file; \
                cat /tmp/$$file | sed 's/HREF="http/NAME="http/g' | sed 's/mathend000#//g' - > $$file; \
                rm -f /tmp/$$file; \
        done
	@echo ""
	@echo "***"
	@echo "*** User's Guide created in user_guide/user_guide.html"
	@echo "***"
	@echo ""

brillouin_zones: brillouin_zones.pdf

=== gww/Makefile ===
# Makefile for GWW
# Author: G. Stenuit and L. Martin-Samos
#
include ../../make.sys

# location of include files
IFLAGS=

# location of needed modules
MODFLAGS= $(MOD_FLAG)../../iotk/src $(MOD_FLAG)../../Modules \
          $(MOD_FLAG)../pw4gww $(MOD_FLAG).

#location of needed libraries
LIBOBJS= ../../iotk/src/libiotk.a ../../flib/flib.a \
         ../../clib/clib.a ../../flib/ptools.a 

GWWOBJS = \
basic_structures.o \
compact_product.o \
contour.o \
create_hf.o \
create_quasi_particle.o \
create_quasi_particle_off.o \
do_contour.o \
do_polarization_lanczos.o \
 do_self_lanczos.o \
do_self_lanczos_time.o \
do_self_lanczos_full.o \
energies_gww.o \
expansion.o \
fft_gw.o \
fit_multipole.o \
fit_polynomial.o \
go_dressed_w.o \
go_exchange.o \
go_fft.o \
go_green.o \
go_polarization.o \
green_function.o \
gv_time.o \
input_gw.o \
lanczos_polarization.o \
para_gww.o \
polarization.o \
read_data_pw.o \
remainder.o \
self_energy.o \
self_energy_storage.o \
start_end.o \
times_gw.o \
vcprim.o 


QEMODS = ../../Modules/libqemod.a

LIBMIN= ../minpack/minpacklib.a

TLDEPS=bindir mods libs libiotk 

all : tldeps gww.x gww_fit.x libgww.a

gww.x : gww.o $(GWWOBJS) $(LIBOBJS) $(QEMODS)  $(LIBMIN)
	$(MPIF90) $(LDFLAGS) -o $@ \
		gww.o $(GWWOBJS) $(QEMODS) $(LIBOBJS) $(LIBMIN) $(LIBS)
	- ( cd ../../bin; ln -fs ../GWW/gww/$@ . )

gww_fit.x : gww_fit.o $(GWWOBJS) $(LIBOBJS) $(QEMODS) $(LIBMIN)
	$(MPIF90) $(LDFLAGS) -o $@ \
	gww_fit.o $(GWWOBJS) $(QEMODS) $(LIBOBJS) $(LIBMIN) $(LIBS)
	- ( cd ../../bin; ln -fs ../GWW/gww/$@ . )

libgww.a : $(GWWOBJS)
	$(AR) $(ARFLAGS) $@ $(GWWOBJS)

tldeps :
	if test -n "$(TLDEPS)" ; then \
	( cd ../.. ; $(MAKE) $(TLDEPS) || exit 1 ) ; fi

clean :
	- /bin/rm -f -v gww.x gww_fit.x *.o *~ *.F90 *.d *.mod *.i work.pc

include make.depend

# DO NOT DELETE

=== CPV/Doc/Makefile ===
HELPDOC=../../dev-tools/helpdoc

LATEX   = pdflatex
LATEX2HTML = latex2html

PDFS = user_guide.pdf
AUXS = $(PDFS:.pdf=.aux)
LOGS = $(PDFS:.pdf=.log)
OUTS = $(PDFS:.pdf=.out)
TOCS = $(PDFS:.pdf=.toc)


doc:  all
all:  pdf html defs
pdf: $(PDFS)
html: user_guide

$(PDFS): %.pdf: %.tex
	$(LATEX)  $<
	$(LATEX)  $<

clean:
	- rm -f $(PDFS) $(AUXS) $(LOGS) $(OUTS) $(TOCS) *~
	- rm -rf user_guide/
	- rm -f INPUT_*.html INPUT_*.txt INPUT_*.xml input_xx.xsl
	- rm -rf ../../Doc/INPUT_CP*.*
	- rm -rf ../../Doc/input_xx.xsl

user_guide: user_guide.pdf
	rm -rf user_guide/
	latex2html \
                -t "User's Guide for The Quantum ESPRESSO Car-Parrinello Molecular Dynamics" \
                -html_version 3.2,math \
                -toc_depth 5 -split 5 -toc_stars -show_section_numbers \
                -local_icons -image_type png \
                user_guide.tex
	cd user_guide; \
	for file in *.html; do \
                cp $$file /tmp/$$file; \
                cat /tmp/$$file | sed 's/HREF="http/NAME="http/g' | sed 's/mathend000#//g' - > $$file; \
                rm -f /tmp/$$file; \
        done
	@echo ""
	@echo "***"
	@echo "*** User's Guide created in user_guide/user_guide.html"
	@echo "***"
	@echo ""


defs: link_input_xx INPUT_CP.html INPUT_CP.txt INPUT_CPPP.html INPUT_CPPP.txt link_on_main_doc
INPUT_CP.html: %.html: %.def
	$(HELPDOC) $<
INPUT_CP.txt: %.txt: %.def
	$(HELPDOC) $<
INPUT_CPPP.html: %.html: %.def
	$(HELPDOC) $<
INPUT_CPPP.txt: %.txt: %.def
	$(HELPDOC) $<

link_input_xx:
	@(if test ! -f input_xx.xsl; then \
	(if test -f ../../dev-tools/input_xx.xsl; then \
	(ln -sf ../../dev-tools/input_xx.xsl input_xx.xsl) ; \
	else \
	echo ; \
	echo "  Sorry, can not find input_xx.xsl html style file !!!" ; \
	echo ; \
	fi) ; fi)

link_on_main_doc:
	-@( cd ../../Doc ; ln -fs ../CPV/Doc/INPUT_CP.html . ; \
	ln -fs ../CPV/Doc/INPUT_CP.xml . ; \
	ln -fs ../CPV/Doc/INPUT_CP.txt . ; \
	ln -fs ../CPV/Doc/INPUT_CPPP.html . ; \
	ln -fs ../CPV/Doc/INPUT_CPPP.xml . ; \
	ln -fs ../CPV/Doc/INPUT_CPPP.txt)

## espresso 5.1+dfsg

=== Makefile ===
include ../make.sys

all: libminpack pw4gwwa heada gwwa  

libminpack:
	( cd minpack ; $(MAKE) all || exit 1 )

pw4gwwa:
	( cd pw4gww ; $(MAKE) all || exit 1 )

heada: libminpack
	( cd head ; $(MAKE) all || exit 1 )

gwwa:
	( cd gww ; $(MAKE) all || exit 1 )

clean: 
	( cd pw4gww  ; $(MAKE) clean )
	( cd head    ; $(MAKE) clean )
	( cd gww     ; $(MAKE) clean )
	( cd minpack ; $(MAKE) clean )

doc:
	if test -d Doc ; then \
	(cd Doc ; $(MAKE) all || exit 1 ) ; fi

doc_clean:
	if test -d Doc ; then \
	(cd Doc ; $(MAKE) clean ) ; fi

distclean: clean doc_clean

=== D3/Makefile ===
# Makefile for 3rd derivative calculations - D3

include ../../make.sys

# location of needed modules and included files (if any)
MODFLAGS= $(MOD_FLAG)../../iotk/src $(MOD_FLAG)../../Modules \
          $(MOD_FLAG)../../PW/src $(MOD_FLAG)../../PHonon/PH $(MOD_FLAG).
IFLAGS=

LIBOBJS        = ../../flib/ptools.a ../../flib/flib.a ../../clib/clib.a ../../iotk/src/libiotk.a

D3OBJS = \
allocate_d3.o \
allocate_pert_d3.o \
bcast_d3_input.o \
ch_psi_all2.o \
close_open.o \
d0rhod2v.o \
d2mxc.o \
d3_exc.o \
d3_init.o \
d3_readin.o \
d3_recover.o \
d3_setup.o \
d3_summary.o \
d3_symdyn.o \
d3_symdynph.o \
d3_valence.o \
d3com.o \
d3dyn_cc.o \
d3ionq.o \
d3matrix.o \
d3toten.o \
d3vrho.o \
davcio_drho2.o \
dpsi_corr.o \
dpsidpsidv.o \
dpsidvdpsi.o \
dqrhod2v.o \
drho_cc.o \
drho_drc.o \
drhod2v.o \
dvdpsi.o \
dvscf.o \
gen_dpdvp.o \
gen_dwfc.o \
incdrhoscf2.o \
openfild3.o \
print_clock_d3.o \
psymd0rho.o \
qstar_d3.o \
read_ef.o \
rotate_and_add_d3.o \
set_d3irr.o \
set_efsh.o \
set_sym_irr.o \
solve_linter_d3.o \
stop_d3.o \
sym_def1.o \
symd0rho.o \
trntnsc_3.o \
w_1gauss.o \
write_aux.o \
write_d3dyn.o \
write_igk.o \
writed3dyn_5.o

PHOBJS = ../../PHonon/PH/libph.a
PWOBJS = ../../PW/src/libpw.a
QEMODS = ../../Modules/libqemod.a

all : tldeps d3.x

d3.x : $(D3OBJS) $(PHOBJS) $(PWOBJS) $(QEMODS) $(LIBOBJS)
	$(LD) $(LDFLAGS) -o d3.x $(D3OBJS) \
		$(PHOBJS) $(PWOBJS) $(QEMODS) $(LIBOBJS) $(LIBS)
	- ( cd ../../bin ; ln -fs ../PHonon/D3/d3.x . )

tldeps :
	( cd .. ; $(MAKE) phonon || exit 1 )

clean :
	- /bin/rm -f d3.x *.o *~ *.F90 *.d *.i *.mod *.L
	- /bin/rm -f ../../bin/d3.x

include make.depend

=== Doc/Makefile ===
HELPDOC=../../dev-tools/helpdoc

LATEX   = pdflatex
LATEX2HTML = latex2html

PDFS = user_guide.pdf developer_man.pdf
AUXS = $(PDFS:.pdf=.aux)
LOGS = $(PDFS:.pdf=.log)
OUTS = $(PDFS:.pdf=.out)
TOCS = $(PDFS:.pdf=.toc)


doc:  all
all:  pdf html defs
pdf: $(PDFS)
html: user_guide developer_man

$(PDFS): %.pdf: %.tex
	$(LATEX)  $<
	$(LATEX)  $<

clean:
	- rm -f $(PDFS) $(AUXS) $(LOGS) $(OUTS) $(TOCS) *~
	- rm -rf user_guide/ developer_man/
	- rm -f INPUT_*.html INPUT_*.txt INPUT_*.xml
	- rm -rf input_xx.xsl
	- rm -rf ../../Doc/INPUT_PH.* ../../Doc/INPUT_D3.*

user_guide: user_guide.pdf
	rm -rf user_guide/
	latex2html \
                -t "User's Guide for the PHonon package" \
                -html_version 3.2,math \
                -toc_depth 5 -split 5 -toc_stars -show_section_numbers \
                -local_icons -image_type png \
                user_guide.tex
	cd user_guide; \
	for file in *.html; do \
                cp $$file /tmp/$$file; \
                cat /tmp/$$file | sed 's/HREF="http/NAME="http/g' | sed 's/mathend000#//g' - > $$file; \
                rm -f /tmp/$$file; \
        done
	@echo ""
	@echo "***"
	@echo "*** User's Guide created in user_guide/user_guide.html"
	@echo "***"
	@echo ""


developer_man: developer_man.pdf
	rm -rf developer_man/
	latex2html \
                -t "User's Guide for the PHonon package" \
                -html_version 3.2,math \
                -toc_depth 5 -split 5 -toc_stars -show_section_numbers \
                -local_icons -image_type png \
                developer_man.tex
	cd developer_man; \
	for file in *.html; do \
                cp $$file /tmp/$$file; \
                cat /tmp/$$file | sed 's/HREF="http/NAME="http/g' | sed 's/mathend000#//g' - > $$file; \
                rm -f /tmp/$$file; \
        done
	@echo ""
	@echo "***"
	@echo "*** Developer manual created in developer_man/developer_man.html"
	@echo "***"
	@echo ""


defs: link_input_xx INPUT_PH.txt INPUT_D3.txt INPUT_PH.html INPUT_D3.html link_on_main_doc
INPUT_PH.txt: %.txt: %.def
	$(HELPDOC) $<
INPUT_D3.txt: %.txt: %.def
	$(HELPDOC) $<
link_input_xx:
	@(if test ! -f input_xx.xsl; then \
	(if test -f ../../dev-tools/input_xx.xsl; then \
	(ln -sf ../../dev-tools/input_xx.xsl input_xx.xsl) ; \
	else \
	echo ; \
	echo "  Sorry, can not find input_xx.xsl html style file !!!" ; \
	echo ; \
	fi) ; fi)

INPUT_PH.html: %.html: %.def input_xx.xsl
	$(HELPDOC) $<
INPUT_D3.html: %.html: %.def input_xx.xsl
	$(HELPDOC) $<

link_on_main_doc:
	-( cd ../../Doc ; ln -fs ../PHonon/Doc/INPUT_PH.html . ; \
	ln -fs ../PHonon/Doc/INPUT_PH.xml . ; \
	ln -fs ../PHonon/Doc/INPUT_PH.txt . ; \
	ln -fs ../PHonon/Doc/INPUT_D3.html . ; \
	ln -fs ../PHonon/Doc/INPUT_D3.xml . ; \
	ln -fs ../PHonon/Doc/INPUT_D3.txt)

=== Examples/Makefile ===
# Makefile for TDDFPT Examples
#Modified for v4.0 by obm

default: small_test


normal_test:	
	for dir in \
		CH4 SiH4 CH4-PR Benzene CH4-BOND\
	; do \
	    if test -d $$dir ; then \
		( cd $$dir ; \
		if test "$(MAKE)" = "" ; then make $(MFLAGS) TLDEPS= all ; \
		else $(MAKE) $(MFLAGS) TLDEPS= all ; fi ) \
	    fi \
	done

small_test:
	@for dir in \
		CH4 SiH4 Benzene\
	; do \
	    if test -d $$dir ; then \
		( cd $$dir ; \
		if test "$(MAKE)" = "" ; then make $(MFLAGS) TLDEPS= small_test ; \
		else $(MAKE) $(MFLAGS) TLDEPS= small_test ; fi ) \
	    fi \
	done

exx:	
	for dir in \
		CH4-TDHF CH4-PBE0 CH4-ECUTFOCK\
	; do \
	    if test -d $$dir ; then \
		( cd $$dir ; \
		if test "$(MAKE)" = "" ; then make $(MFLAGS) TLDEPS= all ; \
		else $(MAKE) $(MFLAGS) TLDEPS= all ; fi ) \
	    fi \
	done

small_exx:
	@for dir in \
		CH4-TDHF CH4-PBE0 CH4-ECUTFOCK\
	; do \
	    if test -d $$dir ; then \
		( cd $$dir ; \
		if test "$(MAKE)" = "" ; then make $(MFLAGS) TLDEPS= small_test ; \
		else $(MAKE) $(MFLAGS) TLDEPS= small_test ; fi ) \
	    fi \
	done

clean :
	@for dir in \
		CH4 SiH4 CH4-PR Benzene CH4-TDHF CH4-PBE0 CH4-ECUTFOCK\
	; do \
	    if test -d $$dir ; then \
		( cd $$dir ; \
		if test "$(MAKE)" = "" ; then make $(MFLAGS) TLDEPS= clean ; \
		else $(MAKE) $(MFLAGS) TLDEPS= clean ; fi ) \
	    fi \
	done

distclean: clean

=== FD/Makefile ===
# Makefile for school

include ../../make.sys

# location of include files
#IFLAGS=-I../../../include

# location of needed modules
MODFLAGS= $(MOD_FLAG)../../iotk/src $(MOD_FLAG)../../Modules \
          $(MOD_FLAG)../../EE $(MOD_FLAG)../../PW/src $(MOD_FLAG).

#location of needed libraries
LIBOBJS= ../../iotk/src/libiotk.a ../../flib/flib.a \
         ../../clib/clib.a ../../flib/ptools.a 

FDOBJS = \
        stop_pp.o 


QEMODS = ../../Modules/libqemod.a
PWOBJS = ../../PW/src/libpw.a


TLDEPS= bindir libs pw

all : tldeps fd.x fd_ifc.x fd_ef.x

fd_ifc.x : fd_ifc.o libfd.a  $(FDOBJS) $(PWOBJS) $(QEMODS)  
	$(LD) $(LDFLAGS) -o $@ \
	fd_ifc.o libfd.a $(PWOBJS) $(EEOBJS) $(QEMODS) $(LIBOBJS) $(LIBS) $(LIBMIN)
	- ( cd ../../bin ; ln -fs ../PHonon/FD/$@ . )

fd.x : fd.o libfd.a  $(FDOBJS) $(PWOBJS) $(QEMODS)  
	$(LD) $(LDFLAGS) -o $@ \
	fd.o libfd.a $(PWOBJS) $(EEOBJS) $(QEMODS) $(LIBOBJS) $(LIBS) $(LIBMIN)
	- ( cd ../../bin ; ln -fs ../PHonon/FD/$@ . )

fd_ef.x : fd_ef.o libfd.a  $(FDOBJS) $(PWOBJS) $(QEMODS)  
	$(LD) $(LDFLAGS) -o $@ \
	fd_ef.o libfd.a $(PWOBJS) $(EEOBJS) $(QEMODS) $(LIBOBJS) $(LIBS) $(LIBMIN)
	- ( cd ../../bin ; ln -fs ../PHonon/FD/$@ . )
tldeps :
	if test -n "$(TLDEPS)" ; then \
	( cd ../.. ; $(MAKE) $(TLDEPS) || exit 1 ) ; fi

libfd.a : $(FDOBJS)
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

clean :
	- /bin/rm -f *.x *.o *~ *.F90 *.d *.mod *.i *.L libfd.a

include make.depend
# DO NOT DELETE

=== Gamma/Makefile ===
# Makefile for Gamma-only phonon code

include ../../make.sys

# location of needed modules and included files (if any)
MODFLAGS= $(MOD_FLAG)../../iotk/src $(MOD_FLAG)../../Modules \
          $(MOD_FLAG)../../PW/src $(MOD_FLAG).
IFLAGS=

LIBOBJS        = ../../flib/ptools.a ../../flib/flib.a ../../clib/clib.a ../../iotk/src/libiotk.a

CGOBJS = \
a_h.o \
cg_readin.o \
cg_setup.o \
cg_setupdgc.o \
cgcom.o \
cgsolve.o \
d2ion.o \
dgradcorr.o \
dielec.o \
drhodv.o \
dvb_cc.o \
dvpsi_e.o \
dvpsi_kb.o \
dyndiar.o \
dynmat_init.o \
dynmatcc.o \
find_equiv_sites.o \
generate_dynamical_matrix.o \
generate_effective_charges.o \
h_h.o \
macro.o \
pw_dot.o \
phcg.o \
rhod2vkb.o \
solve_e.o \
solve_ph.o \
writedyn.o \
zvscal.o

PWOBJS = ../../PW/src/libpw.a
QEMODS = ../../Modules/libqemod.a

TLDEPS= bindir mods libs pw

all : tldeps phcg.x

phcg.x : $(PWOBJS) $(CGOBJS) $(QEMODS) $(LIBOBJS)
	$(LD) $(LDFLAGS) -o phcg.x \
		$(CGOBJS) $(PWOBJS) $(QEMODS) $(LIBOBJS) $(LIBS)
	- ( cd ../../bin ; ln -fs ../PHonon/Gamma/phcg.x . )
tldeps :
	if test -n "$(TLDEPS)" ; then \
	( cd ../.. ; $(MAKE) $(TLDEPS) || exit 1 ) ; fi

clean :
	- /bin/rm -f *.x *.o *.d *.i *~ *.F90 *.mod *.L
	- /bin/rm -f ../../bin/phcg.x

include make.depend

=== Modules/Makefile ===
# Makefile for Modules

include ../make.sys

# location of needed modules
MODFLAGS= $(MOD_FLAG)../iotk/src $(MOD_FLAG)../ELPA/src $(MOD_FLAG).

MODULES = \
atom.o \
autopilot.o \
basic_algebra_routines.o \
becmod.o \
bfgs_module.o \
bspline.o \
bz_form.o \
cell_base.o  \
check_stop.o  \
clocks.o \
command_line_options.o \
compute_dipole.o \
constants.o \
constraints_module.o \
control_flags.o \
coulomb_vcut.o \
descriptors.o \
dspev_drv.o \
electrons_base.o \
environment.o \
error_handler.o \
fd_gradient.o \
fft_base.o \
fft_custom.o \
fft_interfaces.o \
fft_parallel.o \
fft_scalar.o \
fft_types.o \
funct.o \
generate_function.o \
griddim.o \
input_parameters.o \
io_files.o \
io_global.o  \
ions_base.o \
kernel_table.o \
kind.o \
mm_dispersion.o \
mp.o \
mp_bands.o \
mp_base.o \
mp_diag.o \
mp_global.o \
mp_images.o \
mp_pots.o \
mp_pools.o \
mp_wave.o \
mp_world.o \
noncol.o \
open_close_input_file.o \
parallel_include.o \
parameters.o \
parser.o \
paw_variables.o \
plugin_flags.o \
plugin_arguments.o \
plugin_variables.o \
pseudo_types.o \
ptoolkit.o \
qexml.o \
qmmm.o \
radial_grids.o \
random_numbers.o \
read_cards.o \
read_input.o \
read_namelists.o \
read_ncpp.o \
read_pseudo.o \
read_upf_v1.o \
read_upf_v2.o \
read_uspp.o \
read_xml.o \
read_xml_cards.o \
read_xml_fields.o \
recvec.o \
recvec_subs.o \
run_info.o \
set_signal.o \
sic.o \
splinelib.o \
stick_base.o \
stick_set.o \
timestep.o\
tsvdw.o\
upf.o \
upf_to_internal.o \
uspp.o \
version.o \
wannier_gw.o\
wannier_new.o \
wave_base.o \
wavefunctions.o \
wrappers.o\
write_upf_v2.o \
ws_base.o \
xc_vdW_DF.o \
xc_rVV10.o \
xml_input.o \
xml_io_base.o \
zdotc_wrapper.o \
zhpev_drv.o 


all : version version.o libqemod.a

## If no update_version is found, or it is not executable,
## just copy version.f90.in (that contains 'version=unknown').
## We use cat and not cp so that version.f90 has a new timestamp,
## forcing recompilation of version.f90.
## We use the inner if to avoid recompilation at each make.
version:
	- ( if test -x ../install/update_version ; then \
	../install/update_version; \
	else if test ! -f version.f90 ; then \
	cat version.f90.in > version.f90 ; fi ; fi )	

version.f90: version

libqemod.a: 	$(MODULES)
	$(AR) $(ARFLAGS) $@ $?       
	$(RANLIB) $@    

clean :
	- /bin/rm -f *.o *.a *.d *.i *~ *.F90 *.mod *.L version.f90

# In this way, the script for generating version.f90 always runs
# (possibly updating the version if you execute "svn update").
# the update_version script should take care of not changing the file 
# if the svn version did not change
.PHONY: version all clean

include make.depend

=== PH/Makefile ===
# Makefile for phonon (PH)

include ../../make.sys

# location of needed modules and included files (if any)
MODFLAGS= $(MOD_FLAG)../../iotk/src $(MOD_FLAG)../../Modules \
          $(MOD_FLAG)../../PW/src $(MOD_FLAG).
IFLAGS=

PHOBJS = \
acfdtest.o \
add_dkmds.o \
add_for_charges.o \
add_zstar_ue.o \
add_zstar_ue_us.o \
addcore.o \
adddvepsi_us.o \
adddvscf.o \
addnlcc.o \
addnlcc_zstar_eu_us.o \
addusdbec.o \
addusdbec_nc.o \
addusddens.o \
addusddense.o \
addusdynmat.o \
addusldos.o \
allocate_part.o \
allocate_pert.o \
allocate_phq.o \
apply_dpot.o \
bcast_ph_input.o \
cch_psi_all.o \
cg_psi.o \
ccg_psi.o \
cgsolve_all.o \
cgsolve_all_imfreq.o \
ch_psi_all.o \
check_if_partial_dyn.o \
check_initial_status.o \
check_q_points_sym.o \
check_restart_recover.o \
clean_pw_ph.o \
clinear.o \
close_phq.o \
commutator_Hx_psi.o \
compute_alphasum.o \
compute_becalp.o \
compute_becsum_ph.o \
compute_drhous.o \
compute_drhous_nc.o \
compute_dvloc.o \
compute_nldyn.o \
compute_vsgga.o \
compute_weight.o \
deallocate_part.o \
deallocate_phq.o \
d2ionq.o \
davcio_drho.o \
dfile_autoname.o \
dfile_star.o \
dgradcorr.o \
dielec.o \
do_phonon.o \
drho.o \
drhodv.o \
drhodvloc.o \
drhodvnl.o \
drhodvus.o \
dv_of_drho.o \
dvanqq.o \
dvkb3.o \
dvpsi_e.o \
dvqpsi_us.o \
dvqpsi_us_only.o \
dyndia.o \
dynmat0.o \
dynmat_us.o \
dynmatcc.o \
dynmatrix.o \
ef_shift.o \
ep_matrix_element_wannier.o \
elph.o \
el_ph_collect.o \
elphon.o \
find_equiv_sites.o \
find_mode_sym.o \
find_irrep.o \
generate_dynamical_matrix_c.o \
generate_effective_charges_c.o \
gmressolve_all.o \
h_psiq.o \
incdrhoscf.o \
incdrhoscf_nc.o \
incdrhous.o \
incdrhous_nc.o \
initialize_ph.o \
init_representations.o \
io_dyn_mat.o \
io_dyn_mat_old.o \
io_pattern.o \
localdos.o \
mix_pot.o \
mode_group.o \
newdq.o \
obsolete.o \
openfilq.o \
orthogonalize.o \
phcom.o \
ph_restart.o \
phescf.o \
phq_init.o \
phq_readin.o \
phq_recover.o \
phq_setup.o \
phq_summary.o \
phqscf.o \
polariz.o \
print_clock_ph.o \
prepare_q.o \
prepare_sym_analysis.o \
psidspsi.o \
psymdvscf.o \
psyme.o \
psym_dmag.o \
psym_dmage.o \
punch_plot_e.o \
q_points.o \
q_points_wannier.o \
q2qstar_ph.o \
qdipol_cryst.o \
random_matrix.o \
read_wfc_rspace_and_fwfft.o \
rotate_dvscf_star.o \
rotate_and_add_dyn.o \
rotate_pattern_add.o \
run_nscf.o \
save_ph_input.o \
set_asr_c.o \
set_defaults_pw.o \
set_drhoc.o \
set_int12_nc.o \
set_irr.o \
set_irr_nosym.o \
set_irr_sym.o \
set_small_group_of_q.o \
setlocq.o \
setqmod.o \
setup_dgc.o \
sgam_ph.o \
smallgq.o \
solve_e.o \
solve_e_fpol.o \
solve_linter.o \
star_q.o \
stop_ph.o \
summarize.o \
sym_and_write_zue.o \
sym_def.o \
sym_dmag.o \
sym_dmage.o \
symdvscf.o \
symdyn_munu.o \
symdynph_gq.o \
syme.o \
symm.o \
symmorphic_or_nzb.o \
transform_int_so.o \
transform_int_nc.o \
transform_alphasum_nc.o \
transform_alphasum_so.o \
transform_dbecsum_so.o \
transform_dbecsum_nc.o \
tra_write_matrix.o \
trntnsc.o \
write_epsilon_and_zeu.o \
write_qplot_data.o \
write_matrix.o \
write_modes.o \
write_rec.o \
zstar_eu.o \
zstar_eu_us.o

RAMANOBJS =    \
cft_wave.o \
psyme2.o   \
chi_test.o \
dielec_test.o \
dvpsi_e2.o \
el_opt.o   \
hdiag.o    \
pcgreen.o  \
ramanm.o   \
syme2.o    \
solve_e2.o \
solve_e_nscf.o \
write_ramtns.o \
d2mxc.o    \
raman_mat.o\
raman.o    \
dhdrhopsi.o\
set_dvscf.o

PHAUXOBJS = \
rigid.o \
write_eigenvectors.o

PWOBJS = ../../PW/src/libpw.a
QEMODS = ../../Modules/libqemod.a


LIBOBJS	= ../../flib/ptools.a ../../flib/flib.a ../../clib/clib.a ../../iotk/src/libiotk.a

TLDEPS= bindir mods libs pw

all : tldeps libs-ph ph.x dynmat.x matdyn.x q2r.x q2trans.x q2trans_fd.x lambda.x fqha.x q2qstar.x 

libs-ph : libph.a libphaux.a

ph.x : phonon.o libph.a $(PWOBJS) $(LIBOBJS)
	$(LD) $(LDFLAGS) -o $@ phonon.o libph.a \
		 $(PWOBJS) $(QEMODS) $(LIBOBJS) $(LIBS)
	- ( cd ../../bin ; ln -fs ../PHonon/PH/ph.x . )

dynmat.x : dynmat.o libphaux.a  libph.a $(PWOBJS)  $(MODULES) $(LIBOBJS)
	$(LD) $(LDFLAGS) -o $@ dynmat.o libphaux.a libph.a \
		 $(PWOBJS) $(QEMODS) $(LIBOBJS) $(LIBS)
	- ( cd ../../bin ; ln -fs ../PHonon/PH/$@ . )

matdyn.x : matdyn.o libphaux.a libph.a $(PWOBJS)  $(MODULES) $(LIBOBJS)
	$(LD) $(LDFLAGS) -o $@ matdyn.o libphaux.a libph.a \
		 $(PWOBJS) $(QEMODS) $(LIBOBJS) $(LIBS)
	- ( cd ../../bin ; ln -fs ../PHonon/PH/$@ . )

q2r.x : q2r.o libphaux.a libph.a $(PWOBJS)  $(MODULES) $(LIBOBJS)
	$(LD) $(LDFLAGS) -o $@ q2r.o libphaux.a libph.a \
		 $(PWOBJS) $(QEMODS) $(LIBOBJS) $(LIBS)
	- ( cd ../../bin ; ln -fs ../PHonon/PH/$@ . )


q2trans.x : q2trans.o libphaux.a libph.a $(PWOBJS)  $(MODULES) $(LIBOBJS)
	$(LD) $(LDFLAGS) -o $@ q2trans.o libphaux.a libph.a \
		 $(PWOBJS) $(QEMODS) $(LIBOBJS) $(LIBS)
	- ( cd ../../bin ; ln -fs ../PHonon/PH/$@ . )

q2trans_fd.x : q2trans_fd.o libphaux.a libph.a $(PWOBJS)  $(MODULES) $(LIBOBJS)
	$(LD) $(LDFLAGS) -o $@ q2trans_fd.o libphaux.a libph.a \
		 $(PWOBJS) $(QEMODS) $(LIBOBJS) $(LIBS)
	- ( cd ../../bin ; ln -fs ../PHonon/PH/$@ . )

q2qstar.x : q2qstar.o libph.a $(PWOBJS)  $(MODULES) $(LIBOBJS)
	$(LD) $(LDFLAGS) -o $@ q2qstar.o libph.a \
		 $(PWOBJS) $(QEMODS) $(LIBOBJS) $(LIBS)
	- ( cd ../../bin ; ln -fs ../PHonon/PH/$@ . )

lambda.x : lambda.o $(PWOBJS) $(QEMODS) $(LIBOBJS)
	$(LD) $(LDFLAGS) -o $@ lambda.o \
                 $(PWOBJS) $(QEMODS) $(LIBOBJS) $(LIBS)
	- ( cd ../../bin ; ln -fs ../PHonon/PH/$@ . )

#fqha.o :
#	$(MPIF90) $(FFLAGS_NOOPT) -c fqha.f90

fqha.x : fqha.o $(PWOBJS) $(QEMODS) $(LIBOBJS)
	$(LD) $(LDFLAGS) -o $@ fqha.o \
                 $(PWOBJS) $(QEMODS) $(LIBOBJS) $(LIBS)
	- ( cd ../../bin ; ln -fs ../PHonon/PH/$@ . )

tldeps :
	if test -n "$(TLDEPS)" ; then \
	( cd ../.. ; $(MAKE) $(TLDEPS) || exit 1 ) ; fi

libph.a : $(PHOBJS) $(RAMANOBJS)
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

libphaux.a : $(PHAUXOBJS)
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

clean :
	- /bin/rm -f *.x *.o *.a *~ *.F90 *.d *.mod *.i *.L
	- /bin/rm -rf ../../bin/ph.x ../../bin/dynmat.x ../../bin/matdyn.x \
	../../bin/q2r.x ../../bin/q2trans.x ../../bin/q2trans_fd.x ../../bin/lambda.x ../../bin/fqha.x

include make.depend
# DO NOT DELETE

=== PP/Makefile ===
# Makefile for PostProc
sinclude ../make.sys

default: all

all:
	if test -d src ; then \
	( cd src ; $(MAKE) || exit 1 ) ; fi

doc:
	if test -d Doc ; then \
	(cd Doc ; $(MAKE) all || exit 1 ) ; fi

doc_clean:
	if test -d Doc ; then \
	(cd Doc ; $(MAKE) clean ) ; fi

clean : examples_clean
	if test -d src ; then \
	( cd src ; $(MAKE) clean ) ; fi

examples_clean:
	if test -d examples ; then \
	( cd examples ; ./clean_all ) ; fi

distclean: clean doc_clean

=== PW/Makefile ===
# Makefile for PW
sinclude ../make.sys

default: all

all: pw pwtools

pw:	
	( cd src ; $(MAKE) all || exit 1 )

pwtools: pw
	( cd tools ; $(MAKE) all || exit 1 )

doc:
	( cd Doc ; $(MAKE) all || exit 1 )

doc_clean:
	( cd Doc ; $(MAKE) clean )

clean : examples_clean
	( cd src ; $(MAKE) clean )
	( cd tools ; $(MAKE) clean )

examples_clean:
	if test -d examples ; then \
	( cd examples ; ./clean_all ) ; fi 

distclean: clean doc_clean

=== clib/Makefile ===
# Makefile for clib

include ../make.sys

OBJS = \
customize_signals.o \
stack.o \
c_mkdir.o \
copy.o \
cptimer.o \
eval_infix.o \
fft_stick.o \
indici.o \
md5.o \
md5_from_file.o \
memstat.o \
ptrace.o \
qsort.o

all : clib.a

clib.a : $(OBJS) 
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

source :
	co -l $(OBJS:.o=.c)

clean :
	- rm -f clib.a *.o *.mod *.i core*

include make.depend

=== flib/Makefile ===
# Makefile for flib

include ../make.sys

# location of needed modules
MODFLAGS= $(MOD_FLAG)../iotk/src $(MOD_FLAG)../Modules $(MOD_FLAG).

OBJS = \
avrec.o \
atomic_number.o \
bachel.o \
capital.o \
cryst_to_car.o \
dost.o \
erf.o \
expint.o \
find_free_unit.o \
flush_unit.o \
functionals.o \
generate_k_along_lines.o \
lsda_functionals.o \
more_functionals.o \
has_xml.o \
iglocal.o \
inpfile.o \
int_to_char.o \
invmat.o \
invmat_complex.o \
latgen.o \
linpack.o \
metagga.o \
matches.o \
plot_io.o \
radial_gradients.o \
rgen.o \
recips.o \
remove_tot_torque.o \
set_hubbard_l.o \
simpsn.o \
sort.o \
sph_bes.o \
sph_dbes.o \
transto.o \
trimcheck.o \
test_input_file.o \
date_and_tim.o \
volume.o \
dylmr2.o \
ylmr2.o \
wgauss.o \
w0gauss.o \
w1gauss.o \
deviatoric.o

POBJS = \
distools.o 

all: flib.a ptools.a 

flib_only: flib.a ptools.a

flib.a : $(OBJS)
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

dlamch.o : dlamch.f
	$(F77) $(FFLAGS_NOOPT) -c $<

ptools.a : $(POBJS)
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

clean :
	- /bin/rm -f *.a *.o *.mod *.i *.F90 core* *.L

include make.depend

=== debian/changelog ===
espresso (5.1+dfsg-4) unstable; urgency=medium

  * debian/control (Build-Depends): Removed libelpa-dev (Closes: #806615).
  * debian/rules (dh_override_auto_configure): Removed, no longer needed.
  * debian/source/README: Moved to ...
  * debian/README.source: ... here.
  * debian/control (Standards-Version): Bumped to 3.9.6.
  * debian/copyright: Syntax fix.

 -- Michael Banck <mbanck@debian.org>  Sun, 28 Feb 2016 15:11:16 +0100

espresso (5.1+dfsg-3) unstable; urgency=medium

  * debian/control (Build-Depends): Added libelpa-dev.
  * debian/rules (override_dh_auto_configure) New targets, enables ELPA
    configure flag.
  * debian/upstream: Moved to debian/upstream/metadata.

 -- Michael Banck <mbanck@debian.org>  Sat, 11 Oct 2014 17:42:34 +0200

espresso (5.1+dfsg-2) unstable; urgency=medium

  * debian/rules (SCALAPACK_LIBS): Remove mpich work-around, which now leads to
    FTBFS errors (Closes: #756796).

 -- Michael Banck <mbanck@debian.org>  Sun, 14 Sep 2014 23:57:55 +0200

espresso (5.1+dfsg-1) unstable; urgency=low

  * New upstream release.  New features include:
   + PW: Hybrid functionals for USPP and PAW (experimental)
   + PW: partial support to the use of k-point labels in the Brillouin zone
   + PW: Langevin dynamics with Smart Monte Carlo
   + CP and PW: Tkatchenko-Scheffler vdW correction (experimental)
   + turboTDDFT: pseudo_Hermitian Lanczos algorithm and Davidson-like
     diagonalization added
   + PWCOND with DFT+U
   + New functionals: gau-pbe, PW86 (unrevised), B86B, XDM (exchange-hole
     dipole moment) model of dispersions, vdW-DF3, vdW-DF4 (Klimes et al),
     rVV10, optB86b-vdW, rev-vdW-DF2
   + PHonon: Calculation of phonon dispersions using the finite displacements
     supercell approach. See subdirectory FD/ in PHonon.
   + dynmat.x can calculate phonon contribution to dielectric tensor
   + turboTDDFT now supports hybrid functionals (only with norm-conserving
     pseudopotentials)
  * debian/rules: Replace $DEB_BUILD_ARCH with $DEB_BUILD_ARCH_CPU to account
    for kfreebsd-i386 as well.
  * debian/source/README: New file, document the splitup of the upstream PHonon
    tarball.
  * debian/patches/fftw_i386_unaligned.patch: Refreshed.
  * debian/patches/testsuite_echo_cp_subtests.patch: Likewise.
  * debian/patches/testsuite_pseudopotentials.patch: Add new pseudopotentials
    C.pbe-n-kjpaw_psl.0.1.UPF and C.pbe-mt_gipaw.UPF required by new test
    cases.
  * debian/patches/subversion_fixes.patch: Removed, no longer needed.
  * debian/rules (override_dh_auto_clean): Remove class/jar-files without
    source for a non-essential java helper-application.
  * debian/copyright: Switch to machine-readable format.
  * debian/copyright (Files-Excluded): New section.
  * debian/source/README: Document directory/file removals.
  * debian/rules (override_dh_auto_clean): Also remove Modules/version.f90.tmp.
  * debian/patches/makefile_clean.patch: New patch, adds to the clean rule in
    some Makefiles. 

 -- Michael Banck <mbanck@debian.org>  Thu, 24 Jul 2014 19:03:03 +0200

=== debian/control ===
Source: espresso
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: autotools-dev (>> 20100122.1~),
               debhelper (>= 7.0.50~),
               gfortran,
               latex2html,
               libblacs-mpi-dev,
               libblas-dev,
               libfftw3-dev,
               liblapack-dev,
               libscalapack-mpi-dev,
               mpi-default-dev,
               tcl,
               tcllib,
               xsltproc
Standards-Version: 3.9.6
Homepage: http://www.quantum-espresso.org/
Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/espresso/
Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/espresso/

Package: quantum-espresso
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: quantum-espresso-data
Description: Electronic-Structure and Ab-Initio Molecular Dynamics Suite
 Quantum ESPRESSO (formerly known as PWscf) is an integrated suite of computer
 codes for electronic-structure calculations and materials modeling at the
 nanoscale. It is based on density-functional theory, plane waves, and
 pseudopotentials (both norm-conserving, ultrasoft, and PAW).
 .
 Features include:
  * Ground-state single-point and band structure calculations using plane-wave
    self-consistent total energies, forces and stresses
  * Separable norm-conserving and ultrasoft (Vanderbilt) pseudo-potentials, PAW
    (Projector Augmented Waves)
  * Various exchange-correlation functionals, from LDA to generalized-gradient
    corrections (PW91, PBE, B88-P86, BLYP) to meta-GGA, exact exchange (HF) and
    hybrid functionals (PBE0, B3LYP, HSE)
  * Car-Parrinello and Born-Oppenheimer Molecular Dynamics
  * Structural Optimization including transition states and minimum energy
    paths
  * Spin-orbit coupling and noncollinear magnetism
  * Response properties including phonon frequencies and
    eigenvectors, effective charges and dielectric tensors, Infrared and
    Raman cross-sections, EPR and NMR chemical shifts
  * Spectroscopic properties like K- and L1-edge X-ray Absorption Spectra (XAS)
    and electronic excitations

Package: quantum-espresso-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: quantum-espresso (<< 5.0.2-1)
Description: Electronic-Structure and Ab-Initio Molecular Dynamics Suite (Documentation)
 Quantum ESPRESSO is an integrated suite of computer codes for
 electronic-structure calculations and materials modeling at the nanoscale. It
 is based on density-functional theory, plane waves, and pseudopotentials (both
 norm-conserving, ultrasoft, and PAW).
 .
 This package contains a limited set of pseudo-potentials and example files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/mpi-default-dev/debian_defaults

DEB_BUILD_ARCH_CPU=$(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

export SCALAPACK_LIBS:=-lscalapack-$(ARCH_DEFAULT_MPI_IMPL) -lblacs-$(ARCH_DEFAULT_MPI_IMPL) -lblacsF77init-$(ARCH_DEFAULT_MPI_IMPL)
export SCALAPACK_LIB:=/usr/lib
ifeq ($(DEB_BUILD_ARCH_CPU), i386)
    export FFTW_FORCE_ALIGN=-D_FFTW_FORCE_UNALIGNED
else
    export FFTW_FORCE_ALIGN=
endif
export OMPI_MCA_orte_rsh_agent=/bin/false

%:
	dh $@ --with autotools_dev --parallel

override_dh_auto_clean:
	dh_auto_clean
	(cd TDDFPT/Examples; $(MAKE) clean)
	find PW/examples -name "results" | xargs rm -rf
	find PW/examples/tests -name "*.out" | xargs rm -rf
	rm -rf CPV/tmp
	rm -f install/make_wannier90.sys
	rm -f install/make_lapack.inc
	rm -f install/make_blas.inc
	rm -f include/fft_defs.h
	rm -f Modules/version.f90.tmp
	# work-around for shipped binary in upstream tarball
	rm -f CPV/src/wfdd.x
	rm -f TDDFPT/ColorCalculator/*.jar
	find TDDFPT/ColorCalculator -name "*.class" | xargs rm -f

override_dh_auto_build:
	$(MAKE) all

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# Copy in some required pseudo-potentials which are shipped in other 
	# parts of the source tree
	(cd pseudo; for i in \
		TDDFPT/Examples/pseudo/C.pz-rrkjus.UPF \
		TDDFPT/Examples/pseudo/H.pz-vbc.UPF \
		TDDFPT/Examples/pseudo/O.pbe-rrkjus.UPF \
		TDDFPT/Examples/pseudo/O.pz-rrkjus.UPF \
		TDDFPT/Examples/pseudo/Si.pbe-rrkj.UPF \
		atomic/examples/pseudo-LDA-0.5/Si.pz-vbc.UPF \
	; do ln -sf ../$$i .; done)
	-(cd PW/tests; sh ./check-pw.x.j)
	-(cd CPV/tests; sh ./check-cp.x.j)
	-(cd TDDFPT/Examples; $(MAKE) small_test)
	# Remove symliked pseudo-potentials again
	find pseudo -type l | xargs rm -f
endif

override_dh_installchangelogs:
	dh_installchangelogs Doc/release-notes

binary-indep:
	dh $@ --before dh_auto_build --with autotools_dev --parallel
	(cd pseudo; ../PW/src/generate_vdW_kernel_table.x)
	(cd Doc; $(MAKE))
	dh $@ --after dh_auto_test --with autotools_dev --parallel

binary: binary-arch binary-indep

## espresso 5.4.0%2bdfsg

=== src/Makefile ===
#
# Makefile for atomic code
#

include ../../make.sys

# location of needed modules and included files (if any)
MODFLAGS= $(MOD_FLAG)../../iotk/src $(MOD_FLAG)../../Modules $(MOD_FLAG)../../FFTXlib $(MOD_FLAG)../../LAXlib $(MOD_FLAG).
IFLAGS=

LIBOBJS = ../../iotk/src/libiotk.a ../../clib/clib.a 

LD1OBJS = \
add_exchange.o \
all_electron.o \
ascheq.o \
ascheqps.o \
ascheqps_drv.o \
c6_dft.o \
c6_tfvw.o \
calculate_gipaw_orbitals.o \
cfdsol.o \
chargeps.o \
compute_chi.o \
compute_chi_tm.o \
compute_phi.o \
compute_phi_tm.o \
compute_phius.o \
compute_potps.o \
compute_potps_new.o \
compute_q_3bess.o \
compute_relpert.o \
compute_solution.o \
descreening.o \
default_conf.o \
dfx_new.o \
dir_outward.o \
dirsol.o \
dmixp.o \
drhoofv.o \
drho0ofvx.o \
dvex.o \
el_config.o \
elsd.o \
elsd_highv.o \
elsdps.o \
elsdps_paw.o \
esic.o \
export_upf.o \
find_qi.o \
gener_pseudo.o \
grad_log.o \
green.o \
import_upf.o \
int_0_inf_dr.o \
integrate_inward.o \
integrate_outward.o \
inward.o \
outward.o \
intref.o \
kin_e_density.o \
ld1_readin.o \
ld1_setup.o \
ld1_writeout.o \
lderiv.o \
lderivps.o \
lschps.o \
newd_at.o \
new_potential.o \
nodenum.o \
normalize.o \
occ_spin.o \
paw_type.o \
partial_wave_expansion.o \
pseudovloc.o \
pseudo_q.o \
read_pseudo_ncpp.o \
read_pseudo_rrkj3.o \
run_lda_half.o \
run_pseudo.o \
run_test.o \
scf.o \
seriebes.o \
set_rho_core.o \
set_psi_in.o \
set_rc_rv.o \
set_sl3.o \
sic_correction.o \
starting_potential.o \
start_potps.o \
start_scheq.o \
test_bessel.o \
trou.o \
vdpack.o \
vext.o \
vpack.o \
v_of_rho_at.o \
vxcgc.o \
write_cpmd.o \
write_ae_pseudo.o \
write_files.o \
write_paw_recon.o \
write_pseudo.o \
write_results.o \
write_resultsps.o

LD1MODS = \
atomic_paw.o \
ld1inc.o \
parameters.o 

QEMODS=../../Modules/libqemod.a ../../FFTXlib/libqefft.a ../../LAXlib/libqela.a

TLDEPS= bindir mods libs 

all: tldeps ld1.x

ld1.x: $(LD1OBJS) ld1.o $(LD1MODS) $(QEMODS) $(LIBOBJS)
	$(LD) $(LDFLAGS) -o ld1.x \
		ld1.o $(LD1OBJS) $(LD1MODS) $(QEMODS) $(LIBOBJS) $(LIBS)
	- ( cd ../../bin ; ln -fs ../atomic/src/ld1.x . )

tldeps :
	if test -n "$(TLDEPS)" ; then \
	( cd ../.. ; $(MAKE) $(TLDEPS) || exit 1 ) ; fi

clean:
	- /bin/rm -f *.o *.F90 *.x *~ *.d *.mod *.tmp.* *.L
	- /bin/rm -f ../../bin/ld1.x

include make.depend
